ros-rolling-quality-of-service-demo-py (0.33.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.33.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.32.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.32.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 06 Nov 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.31.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.31.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.30.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.30.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.29.0-1jammy) jammy; urgency=high

  * More quality of service demo cleanup (#632 <https://github.com/ros2/demos/issues/632>)
  * Fix small typos in the incompatible_qos demos. (#629 <https://github.com/ros2/demos/issues/629>)
  * Fix the quality_of_service_demo_py output to look like the C++ one. (#626 <https://github.com/ros2/demos/issues/626>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.28.1-1jammy) jammy; urgency=high

  * Use non-deprecated rclpy import. (#615 <https://github.com/ros2/demos/issues/615>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.28.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.27.0-1jammy) jammy; urgency=high

  * Change all ROS2 -> ROS 2. (#610 <https://github.com/ros2/demos/issues/610>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.26.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 (#606 <https://github.com/ros2/demos/issues/606>)
  * Contributors: Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.25.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.24.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.24.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#589 <https://github.com/ros2/demos/issues/589>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.22.0-1jammy) jammy; urgency=high

  * Exit with code 0 if ExternalShutdownException is raised (#581 <https://github.com/ros2/demos/issues/581>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.20.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.20.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Update python nodes SIGINT handling (#539 <https://github.com/ros2/demos/issues/539>)
  * Contributors: Audrow Nash, Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 18 Oct 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 11 Aug 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 May 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.1-1jammy) jammy; urgency=high

  * Use underscores instead of dashes in setup.cfg (#502 <https://github.com/ros2/demos/issues/502>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.13.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 25 Mar 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.12.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.12.0-1jammy) jammy; urgency=high

  * QoS overrides demo in python (#479 <https://github.com/ros2/demos/issues/479>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.11.0-1jammy) jammy; urgency=high

  * Update deprecated qos policy value names (#468 <https://github.com/ros2/demos/issues/468>)
  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Ivan Santiago Paunovic, Michael Jeronimo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.10.1-1jammy) jammy; urgency=high

  * Add rclpy message lost status event demo (#457 <https://github.com/ros2/demos/issues/457>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.10.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 17 Jun 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.1-1jammy) jammy; urgency=high

  * Remove MANUAL_BY_NODE liveliness usage (#444 <https://github.com/ros2/demos/issues/444>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 May 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.9.0-1jammy) jammy; urgency=high

  * Demo to show the working of the incompatible_qos event callbacks. (#416 <https://github.com/ros2/demos/issues/416>)
  * Use imperative mood in docstring. (#422 <https://github.com/ros2/demos/issues/422>)
  * Contributors: Jaison Titus, Steven! Ragnarök

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.4-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 19 Nov 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.3-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 11 Nov 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Nov 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.1-1jammy) jammy; urgency=high

  * Update setup.py versions
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.8.0-1jammy) jammy; urgency=high

  * Fix spelling of pytest marker (#391 <https://github.com/ros2/demos/issues/391>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 26 Sep 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.7.6-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.7.5-1jammy) jammy; urgency=high

  * Use a positional argument for the quality of service demo. (#359 <https://github.com/ros2/demos/issues/359>)
  * Switch to qos_profile instead of qos_or_depth. (#357 <https://github.com/ros2/demos/issues/357>)
  * Be explicit about reliability in Lifespan demo, to depend less on defaults (#350 <https://github.com/ros2/demos/issues/350>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 29 May 2019 00:00:00 -0000

ros-rolling-quality-of-service-demo-py (0.7.4-1jammy) jammy; urgency=high

  * rclpy QoS Demos (Liveliness, Lifespan, Deadline) (#338 <https://github.com/ros2/demos/issues/338>)
  * Contributors: Emerson Knapp

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000


